<cfquery datasource="#Request.App.DS#" name="list">
SELECT State
  FROM States
 <cfif IsDefined("Keyword") AND Len(Trim(Keyword))>
 WHERE State LIKE '%#Keyword#%'
 </cfif>
ORDER BY State
</cfquery>

<!--- Set the number of records to display on each page. --->
<cfset OnEachPage=8>

<!--- Set the default startrow to 1 if a value was not passed. --->
<!--- Determine whether or not to show the previous or next links. --->
<cfparam name="StartRow" default="1">
<!--- Set the value of endrow to the maxrows + startrow - 1 --->
<cfset EndRow=StartRow + OnEachPage - 1>
<!--- If the end row is greater than the recordcount, determine how many records are left. --->
<cfif EndRow GTE list.RecordCount>
  <cfset EndRow=list.RecordCount>
  <cfset Next=false>
<!--- Othereise, set Next to true and determine the next set of records. --->
<cfelse>
  <cfset Next=true>
  <cfif EndRow + OnEachPage GT list.RecordCount>
    <cfset NextNum=list.RecordCount - EndRow>
  <cfelse>
    <cfset NextNum= OnEachPage>
  </cfif>
  <cfset NextStart=EndRow + 1>
</cfif>
<!--- If StartRow is 1, set Previous to false. --->
<cfif StartRow IS 1>
  <cfset Previous=false>
  <!--- Othewise, determine the previous set of records. --->
<cfelse>
  <cfset Previous=true>
  <cfset PreviousStart=StartRow - OnEachPage>
</cfif>

<!--- Determine how many pages will be displayed. --->
<cfset NumPages=Ceiling(list.RecordCount / OnEachPage)>
<cfparam name="PageNum" default="1">

<form action="code.cfm?CodeID=<cfoutput>#URL.CodeID#</cfoutput>" method="post">
  <input type="text" name="Keyword" value="" SIZE="15"> <input type="submit" value="Search">
</form><p>

<cfoutput>
  Now displaying records #StartRow# to #EndRow# of #list.RecordCount#.<p>
</cfoutput>

<table border="0">
  <tr>
    <td valign="top">
      <!--- If Previous is true, display the previous link. --->
      <cfif Previous>
        <cfoutput>
          <a href="code.cfm?CodeID=#URL.CodeID#&StartRow=#PreviousStart#&PageNum=#DecrementValue(PageNum)#<cfif IsDefined("Keyword")>&Keyword=#URLEncodedFormat(Keyword)#</cfif>"><< Previous</a>
        </cfoutput>
      <cfelse>
         
      </cfif>
    </td>
    <cfloop from="1" to="#NumPages#" index="ThisPage">
      <cfoutput>
        <cfif ThisPage IS PageNum>
          <td>#ThisPage#</td>
        <cfelse>
          <cfset PageNumStart=(((ThisPage - 1) * OnEachPage) + 1)>
          <td><a href="code.cfm?CodeID=#URL.CodeID#&StartRow=#PageNumStart#&PageNum=#ThisPage#<cfif IsDefined("Keyword")>&Keyword=#URLEncodedFormat(Keyword)#</cfif>">#ThisPage#</a></td>
        </cfif>
      </cfoutput>
    </cfloop>
    <td valign="top">
      <!--- If Next is true, display the previous link. --->
      <cfif Next>
        <cfoutput>
          <a href="code.cfm?CodeID=#URL.CodeID#&StartRow=#NextStart#&PageNum=#IncrementValue(PageNum)#<cfif IsDefined("Keyword")>&Keyword=#URLEncodedFormat(Keyword)#</cfif>">Next >></a>
        </cfoutput>
      <cfelse>
         
      </cfif>
    </td>
  </tr>
  <tr>
    <td valign="top" colspan="<cfoutput>#Evaluate(NumPages + 2)#</cfoutput>">
      <cfoutput query="list" startrow="#startrow#" maxrows="#OnEachPage#">
      # State#<br>
      </cfoutput>
    </td>
  </tr>
</table><p>
  
