
<!--- Create a new Database --->
<!---
This statement creates a database called "Payroll". Because no arguments have been specified, the database data files and transaction logs will be created automatically in the default location.
--->

CREATE DATABASE databasename

<!--------------------------->





<!--- Create a new Table --->

<!--- Syntax 
CREATE TABLE table_name
(column_name_1 datatype,
column_name_2 datatype,
...
)

--->

<!--- Example 
CREATE TABLE Individual
(IndividualId int,
FirstName Varchar(255),
LastName Varchar(255),
UserName Char(10)
)
--->

<!--------------------------->





<!--- Modifying fields (columns) in a table --->

<!--- Add a field (column) --->
ALTER TABLE table_name
ADD column_name datatype
<!--- Example --->
ALTER TABLE Individual
ADD age int

<!--- Change the Datatype --->
ALTER TABLE table_name
ALTER COLUMN column_name datatype

<!--- Delete a field (column) --->
ALTER TABLE table_name
DROP COLUMN column_name

<!--------------------------->





<!--- Select Records from one table --->
The asterisk selects all records or you can specify fields names separated by a comma.
The WHERE clause allows you to select only particular data (optional).
The ORDER BY clause allows you to soet data (optional).

SELECT * FROM Individual
WHERE FirstName = 'Homer'
ORDER BY LastName

<!--------------------------->





<!--- Select Records from multiple tables with matching data --->
Example:

SELECT * FROM table1, table2
WHERE table1.FirstName = 'Homer'
<!--------------------------->





<!--- Select only data from certain fields --->
Example:

SELECT IndividualId, LastName, UserName FROM Individual
WHERE FirstName = 'Homer'
<!--------------------------->





<!--- Count records in table --->
<!---
If we only want to see how many records are in a table (but not actually view those records), we could use COUNT(*). COUNT(*) returns everything - including null values and duplicates.
--->

SQL statement
SELECT COUNT(*) FROM tablename

<!--------------------------->





<!--- Create new Record --->

The SQL INSERT command allows you to insert a record into a table in your database. 
If the table contains an autonumber field, skip that.
Example:

INSERT INTO Individual (individualid,firstname,lastname,username)
VALUES ( '6', 'Benny', 'Hill', 'hillbenny' )


<!--------------------------->





<!--- Update Records --->
<!---
The SQL UPDATE statement allows you to update an existing record in the database.
The UPDATE command uses a WHERE clause. If you don't use a WHERE clause, all rows will be updated. In fact, the syntax for a basic UPDATE statement is very similar to a SELECT statement. Example:
--->

UPDATE tablename
SET UserName = 'funnyman'
WHERE IndividualId = '6'

<!--------------------------->





<!--- Get Info from two tables --->
Use SQL INNER JOIN when you only want to return records where there is at least one row in both tables that match the join condition.  Syntax below is tablename.fieldname. Example:

SELECT * FROM Individual
INNER JOIN Publisher
ON Individual.IndividualId = Publisher.IndividualId
WHERE Individual.IndividualId = '2'

<!--------------------------->





<!--- SQL Data Types
bigint
Binary
bit
char
cursor
datetime
Decimal
float
image
int
money
Nchar
ntext
nvarchar
real
smalldatetime
Smallint
smallmoney
text
timestamp 
tinyint
Varbinary
Varchar
uniqueidentifier 

Data Types  Description  

bigint:  	Integer data from -2^63 through 2^63-1  
int:  		Integer data from -2^31 through 2^31 - 1  
smallint:  	Integer data from -2^15 through 2^15 - 1  
tinyint:  	Integer data from 0 through 255  
bit:  		Integer data with either a 1 or 0 value  
decimal:  	Fixed precision and scale numeric data from -10^38 +1 through 10^38 -1  
numeric:  	Fixed precision and scale numeric data from -10^38 +1 through 10^38 -1  
money:  	Monetary data values from -2^63 through 2^63 - 1  
smallmoney:  	Monetary data values from -214,748.3648 through +214,748.3647  
float:  	Floating precision number data from -1.79E + 308 through 1.79E + 308  
real:  		Floating precision number data from -3.40E + 38 through 3.40E + 38  
datetime:  	Date and time data from January 1, 1753, through December 31, 9999,
		with an accuracy of 3.33 milliseconds  
smalldatetime:  Date and time data from January 1, 1900, through June 6, 2079,
		with an accuracy of one minute  
char:  		Fixed-length character data with a maximum length of 8,000 characters  
varchar:  	Variable-length data with a maximum of 8,000 characters  
text:  		Variable-length data with a maximum length of 2^31 - 1 characters  
nchar:  	Fixed-length Unicode data with a maximum length of 4,000 characters  
nvarchar:  	Variable-length Unicode data with a maximum length of 4,000 characters  
ntext:  	Variable-length Unicode data with a maximum length of 2^30 - 1 characters  
binary:  	Fixed-length binary data with a maximum length of 8,000 bytes  
varbinary:  	Variable-length binary data with a maximum length of 8,000 bytes  
image:  	Variable-length binary data with a maximum length of 2^31 - 1 bytes  
cursor:  	A reference to a cursor  
sql_variant:  	A data type that stores values of various data types,
		except text, ntext, timestamp, and sql_variant  
table:  	A special data type used to store a result set for later processing  
timestamp:  	A database-wide unique number that gets updated every time
		a row gets updated  
uniqueidentifier:  A globally unique identifier  


--->

