<cfif isDefined("form.submit")>
    <cfswitch expression="#form.firstName#">
        <cfcase value="Kristen">
            Hi Kristen!
        </cfcase>
        <cfcase value="Tim">
            Hi Tim!
        </cfcase>
        <cfcase value="Emily">
            Hi Emily!
        </cfcase>
        <cfdefaultcase>
            Sorry, I don't know you.
        </cfdefaultcase>
    </cfswitch>
</cfif>
<hr>
<cfform format="XML" width="200" height="200">    
    <cfformgroup type="vertical">        
        <cfformitem type="HTML">
            <font face="Arial" size="+1"><span style="margin-left:50px">Please enter your name.</span></font>
        </cfformitem>
        <cfinput id="first" title="First Name" name="firstName" size="20" maxlength="50" type="text" label="First Name" />        
        <cfformgroup type="horizontal">
            <cfinput id="submit" title="Submit" name="submit" value="Submit" type="submit" style="margin-left:65px"/>
            <cfinput id="reset" title="Reset" name="reset" value="Reset" type="reset" label="Reset" />
        </cfformgroup>
    </cfformgroup>
</cfform>
 

<!---
--------------------------------------------------------------------------------
 
cfswitch and cfcase are conditional processing tags. The cfswitch tag has an expression attribute which states what condition is being checked. This is the major difference between using these tags and the cfif tag. While the cfif tag allows you to evaulate completely different statements in the cfif and cfelseif blocks, the cfswitch/cfcase tags only allows you to evaluate one statement.

For the same reason, it is often said that cfswitch/cfcase blocks run more quickly than the cfif tags because they only evaluate the expression once rather than multiple times. However, the only way to definitively know which method is faster is to test them both in your unique circumstances.
---> 
